Auto-select products
curl --request POST \
--url https://api.semicola.com/api/v2/buyer/campaigns/{id}/auto-select-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refine": [
{
"scope": "request",
"ask": "<string>"
}
],
"maxProducts": 25,
"minBudgetPerProduct": 123
}
'import requests
url = "https://api.semicola.com/api/v2/buyer/campaigns/{id}/auto-select-products"
payload = {
"refine": [
{
"scope": "request",
"ask": "<string>"
}
],
"maxProducts": 25,
"minBudgetPerProduct": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
refine: [{scope: 'request', ask: '<string>'}],
maxProducts: 25,
minBudgetPerProduct: 123
})
};
fetch('https://api.semicola.com/api/v2/buyer/campaigns/{id}/auto-select-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"campaignId": "<string>",
"discoveryId": "<string>",
"selectedProducts": [
{
"productId": "<string>",
"name": "<string>",
"salesAgentId": "<string>",
"groupId": "<string>",
"groupName": "<string>",
"cpm": 123,
"budget": 123,
"pricingOptionId": "<string>",
"channelGroupId": "<string>"
}
],
"budgetContext": {
"campaignBudget": 123,
"totalAllocated": 123,
"remainingBudget": 123,
"currency": "<string>"
},
"productCount": 4503599627370495,
"previouslySelectedCount": 4503599627370495,
"selectionRationale": "<string>",
"selectionMethod": "scoring"
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Campaigns
Auto-select products
POST
/
api
/
v2
/
buyer
/
campaigns
/
{id}
/
auto-select-products
Auto-select products
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Path Parameters
Minimum string length:
1Body
application/json